Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface IWorkbenchPreferencePage

All Superinterfaces:
  IDialogPage, IPreferencePage

All Known Implementing Classes:
  TemplatePreferencePage, TextEditorPreferencePage

public interface IWorkbenchPreferencePage
extends IPreferencePage

Interface for workbench preference pages.

Clients should implement this interface and include the name of their class in an extension contributed to the workbench's preference extension point (named `"org.eclipse.ui.preferencePages"`). For example, the plug-in's XML markup might contain:

     <extension point="org.eclipse.ui.preferencePages">
          <page id="com.example.myplugin.prefs"
             name="Knobs"
             class="com.example.myplugin.MyPreferencePage" />
     </extension>

Method Summary
`void` | `init(IWorkbench workbench)` Initializes this preference page for the given workbench.

Methods inherited from interface org.eclipse.jface.preference.IPreferencePage
`computeSize, isValid, okToLeave, performCancel, performOk, setContainer, setSize`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Method Detail

### init

    public void init(IWorkbench workbench)

  Initializes this preference page for the given workbench.

  This method is called automatically as the preference page is being created and initialized. Clients must not call this method.

  Parameters:
    `workbench` - the workbench

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.